Get Hourly Impacts
GET
/api/v1/projects/{project_id}/impacts/hourly
const url = 'https://api.totalview.energy/api/v1/projects/example/impacts/hourly?limit=168&offset=0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.totalview.energy/api/v1/projects/example/impacts/hourly?limit=168&offset=0' \ --header 'Authorization: Bearer <token>'Get hourly impact time-series data for visualization.
Queries TimescaleDB hypertable for fast time-series access. Falls back to RDS if TimescaleDB is unavailable.
Requires full results access.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” project_id
required
Project Id
string
Query Parameters
Section titled “Query Parameters ” limit
Limit
Max records to return (default 168 = 1 week)
integer
Max records to return (default 168 = 1 week)
offset
Offset
Number of records to skip
integer
Number of records to skip
Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}